#include <iostream>
#include <string.h>
using namespace std;
int main(){
    char t[200000];
    cin>>t;
    int b1=strlen(t);
    char s[10];
    cin>>s;
    int b2=strlen(t);
    int j=0;
    int br=0;
    for(int i=0;i<b1;i++){
        if(t[i]==s[j]){
            t[i]='*';
            br++;
        }
    }
    cout<<br<<endl;
    for(int i=0;i<b1;i++){
        cout<<t[i];
    }

 return 0;
}